## gsequencer 2.0.22

=== debian/changelog ===
gsequencer (2.0.22-1) unstable; urgency=medium

  * New upstream version 2.0.22

  [ Joël Krähemann ]
  * Bumped sonames
  * Added new dependency fftw3-dev
  * Updated *.symbols files
  * Updated README.source to match latest soname

  [ IOhannes m zmölnig ]
  * Bumped dh compat to 11
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Sep 2018 15:18:29 +0200

=== debian/control ===
Source: gsequencer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 gettext,
 libcunit1-dev,
 libgtk2.0-dev,
 libcairo2-dev,
 xvfb,
 xauth,
 libx11-dev,
 libinstpatch-dev,
 libsndfile1-dev,
 libsamplerate-dev,
 libxml2-dev,
 ladspa-sdk,
 dssi-dev,
 lv2-dev,
 fftw3-dev,
 libasound2-dev [linux-any],
 liboss4-salsa-dev [!linux-any],
 oss4-dev [kfreebsd-any],
 libjack-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 uuid-dev,
 docbook-xsl,
 docbook-xml,
 gtk-doc-tools,
 xsltproc,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://nongnu.org/gsequencer
Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gsequencer

Package: gsequencer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags2,
 libags-audio2,
 libags-gui2,
Suggests:
 hydrogen,
 hydrogen-drumkits,
 fluid-soundfont-gm,
 fluid-soundfont-gs,
 timgm6mb-soundfont,
Description: Advanced Gtk+ Sequencer audio processing engine
 Advanced GTK+ Sequencer is intended to be used for music composition.
 It features a piano roll, as well as a synth, matrix editor, drum
 machine, soundfont2 player, mixer and an output panel. It’s designed to
 be highly configurable. You may add effects to its effect chain; and
 add or remove audio channels/pads. You may set up a fully functional
 network of engines, thus there is a link editor for linking audio lines.

Package: gsequencer-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: gsequencer
Description: documentation for Advanced Gtk+ Sequencer
 Advanced GTK+ Sequencer is intended to be used for music composition.
 .
 This package contains the user manual that explains the GUI in html format of
 Advanced Gtk+ Sequencer.

Package: libags2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Advanced Gtk+ Sequencer core library
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.

Package: libags-audio2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags2 (= ${binary:Version}),
Description: Advanced Gtk+ Sequencer audio processing library
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.

Package: libags-gui2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags2 (= ${binary:Version}),
Description: Advanced Gtk+ Sequencer widget library
 libags_gui is a widget library built upon Gtk+-2.0.
 It contains widgets like
  - LED
  - dial
  - indicator
  - cartesian
  - ruler

Package: libags-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libags2 (>= ${source:Version}), libags2 (<< ${source:Upstream-Version}+1~),
Suggests: libags-doc
Description: Advanced Gtk+ Sequencer core library (Development files)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libags-dev,
 libags-audio2 (>= ${source:Version}), libags-audio2 (<< ${source:Upstream-Version}+1~),
Suggests: libags-audio-doc
Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libags-dev,
 libags-gui2 (>= ${source:Version}), libags-gui2 (<< ${source:Upstream-Version}+1~),
Suggests: libags-gui-doc
Description: Advanced Gtk+ Sequencer widget library (Development files)
 libags_gui is a widget library built upon Gtk+-2.0.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer UI widget library.

Package: libags-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-dev
Description: Advanced Gtk+ Sequencer core library (API documentation)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-audio-dev
Description: Advanced Gtk+ Sequencer audio processing engine (API documentation)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-gui-dev
Description: Advanced Gtk+ Sequencer widget library (API documentation)
 libags_gui is a widget library built upon Gtk+-2.0.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer UI widget library.

## gsequencer 2.0.37

=== debian/changelog ===
gsequencer (2.0.37-1) unstable; urgency=medium

  * New upstream version 2.0.37
    (Closes: #910055)

  [ Joël Krähemann ]
  * Updated libags-audio2.symbols
  * Removed disable_functional_tests.patch (use configure switch instead)
  * Updated upstream public key

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 14 Nov 2018 11:32:33 +0100

## gsequencer 2.1.34

=== debian/changelog ===
gsequencer (2.1.34-1) unstable; urgency=medium

  * New upstream version 2.1.34

  [ Joël Krähemann ]
  * Updated libags*.symbols
  * Added documentation of OSC server to libags-audio-doc
  * Install additional files in 'gsequencer' and 'libags-audio-doc' package
  * Updated d/copyright

  [ IOhannes m zmölnig ]
  * Bumped standards to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Jan 2019 10:51:11 +0100

## gsequencer 2.1.41

=== debian/changelog ===
gsequencer (2.1.41-1) unstable; urgency=medium

  * New upstream version 2.1.41

  [ Joël Krähemann ]
  * Install missing file ags/config.h
  * Updated libags-audio2.symbols
  * Deb-CI fixes
    * renamed ags-integration-functional-test to match upstream makefile target
    * added flaky restrictions to ags-integration-functional-test
    * added ags-integration-unit-test to debian/tests/control
  * Refreshed enable-integration-tests.patch to generate check system unit-tests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 31 Jan 2019 14:15:06 +0100

## gsequencer 2.1.53

=== debian/changelog ===
gsequencer (2.1.53-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:17:36 +0800

gsequencer (2.1.53-2) unstable; urgency=medium

  * Fixes for automation and config-reading (Closes: #923951)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 07 Mar 2019 17:14:05 +0100

gsequencer (2.1.53-1) unstable; urgency=medium

  * New upstream version 2.1.53

  [ Joël Krähemann ]
  * Updated libags(-audio)2.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Feb 2019 14:01:13 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git

=== debian/tests/control ===
Tests: ags-integration-unit-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 cmt,
	 swh-lv2,
	 fluid-soundfont-gm,
	 hydrogen-drumkits,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr

Tests: ags-integration-functional-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 cmt,
	 swh-lv2,
	 fluid-soundfont-gm,
	 hydrogen-drumkits,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr, flaky

## gsequencer 2.1.66

=== debian/changelog ===
gsequencer (2.1.66-0.1~mx17+1) mx; urgency=medium

  * New upstream version 2.1.66.
  * Drop to debhelper 10 compat to ease backports.
  * debian/rules: 
    - disable automatic dbgsym packages.
    - add "-rf" to the command to clean up lib*.sym files in the dh_clean
     override.
  * Add minimum version for gettext build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Mar 2019 09:54:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10),
  pkg-config,
- gettext,
+ gettext (>= 0.19.7),
  libcunit1-dev,
  libgtk2.0-dev,
  libcairo2-dev,

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  archconfflags += --enable-oss
else
  archconfflags += --disable-oss
endif

archconfflags += --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html

# provide some system dependent configuration as a C macro
CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"
CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/ags_supermoon-800x450.png\"
CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"

# Gets only the upstream version of the package
DEB_UPSTREAM_MINOR_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r 's/([0-9]+).([0-9]+).([0-9]+)/\1.\2.x/')

# Sets build tarball-dir if not provided by command line
TARBALL_DIR ?= ../tarballs

# Sets export-dir if not provided by command line
EXPORT_DIR ?= ../build-area

# Sets download mirror if not provided by command line
DOWNLOAD_MIRROR ?= http://download.savannah.gnu.org/releases/gsequencer

get-orig-source:
	mkdir -p $(TARBALL_DIR)
	mkdir -p $(EXPORT_DIR)
	wget --method=GET -O "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz" -c "$(DOWNLOAD_MIRROR)/$(DEB_UPSTREAM_MINOR_VERSION)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz"
	wget --method=GET -O "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc" -c "$(DOWNLOAD_MIRROR)/$(DEB_UPSTREAM_MINOR_VERSION)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz.sig"
	ln -s "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc" $(EXPORT_DIR)

pre-integration-test:
	dh_autoreconf
	dh_auto_configure -- --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) $(archconfflags)

override_dh_auto_configure:
	dh_auto_configure -- $(archconfflags)
	$(MAKE) gen-symbols-all

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_auto_test:
	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test

override_dh_auto_install:
	dh_auto_install --no-parallel
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
	find $$(pwd)/debian/tmp/usr/share -type f \
		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
		-delete
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-doc/api/libags
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-audio-doc/api/libags-audio
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-gui-doc/api/libags-gui
	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete

# main packaging script based on dh7 syntax
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

override_dh_clean:
	rm -f docs/reference/libgsequencer/libgsequencer-sections.txt
	find docs/ -type f -name "*.stamp" -delete
	find docs/ -type f \( \
		   -name "*-decl-list.txt" \
		-o -name "*-decl.txt" \
		-o -name "*-undeclared.txt" \
		-o -name "*-undocumented.txt" \
		-o -name "*-unused.txt" \
		\) -delete
	find docs/ -type f \( \
		   -name "*.args" \
		-o -name "*.hierarchy" \
		-o -name "*.interfaces" \
		-o -name "*.prerequisites" \
		-o -name "*.signals" \
		\) -delete
	rm -f docs/reference/libgsequencer/libgsequencer.types
	find docs/ -type d -name ".libs" -exec rm -rf {} +
	find docs/ -type d -name "tmpl" -exec rm -rf {} +
	rm -rf lib*.sym
	dh_clean

## gsequencer 2.2.10

=== debian/changelog ===
gsequencer (2.2.10-1) unstable; urgency=medium

  * Upload to unstable.
  * updated libags-audio2.symbols because new functions available
  * New upstream version 2.2.10

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 04 Jul 2019 19:15:09 +0200

gsequencer (2.2.1-1) experimental; urgency=medium

  [ Joël Krähemann ]
  * add force option to remove symbols file
  * removed --parallel option because not needed anymore
  * removed override_dh_shlibdeps because no more circular dependency
  * removed unneeded depends of gsequencer
  * removed libpulse-mainloop-glib0 dependency because provided by libpulse-dev
  * added override_dh_makeshlibs target because of private library
  * removed target get-orig-source because you should use uscan
  * removed readme of get-orig-source
  * removed make gen-symbols-all from debian/rules
  * don't remove lib*.sym files provided by upstream tarball
  * removed include-binaries file because not needed
  * removed override_dh_shlibdeps because no more circular dependency
  * removed old remains from git
  * reverted .sym files
  * don't remove gtk-doc interface files during clean in debian/rules
  * removed include-binaries file because not needed
  * fixed typo in changelog
  * removed unneeded variable BUILD_DIR
  * removed series file because not needed anymore
  * applied new configure switch to enable integration tests in debian/rules
  * New upstream version 2.2.1
  * updated libags2.symbols because new symbols available
  * updated libags-audio2.symbols because new symbols available

  [ Sebastian Ramacher ]
  * debian/rules: Remove unneeded parts.
  * debian/control: Fix dependencies of -dev packages.

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 24 Jun 2019 23:15:07 +0200

gsequencer (2.1.53-3) unstable; urgency=medium

  * Fixes from latest upstream sources (Closes: #927865)

 -- Joël Krähemann <joel@xn--krhemann-1za.com>  Wed, 08 May 2019 00:40:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  pkg-config,
- gettext (>= 0.19.7),
+ gettext,
  libcunit1-dev,
  libgtk2.0-dev,
  libcairo2-dev,
@@ -28,7 +27,6 @@
  oss4-dev [kfreebsd-any],
  libjack-dev,
  libpulse-dev,
- libpulse-mainloop-glib0,
  uuid-dev,
  docbook-xsl,
  docbook-xml,
@@ -45,9 +43,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags2,
- libags-audio2,
- libags-gui2,
 Suggests:
  hydrogen,
  hydrogen-drumkits,
@@ -121,7 +116,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- libags2 (>= ${source:Version}), libags2 (<< ${source:Upstream-Version}+1~),
+ libags2 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -139,7 +134,7 @@
 Depends:
  ${misc:Depends},
  libags-dev,
- libags-audio2 (>= ${source:Version}), libags-audio2 (<< ${source:Upstream-Version}+1~),
+ libags-audio2 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -155,7 +150,7 @@
 Depends:
  ${misc:Depends},
  libags-dev,
- libags-gui2 (>= ${source:Version}), libags-gui2 (<< ${source:Upstream-Version}+1~),
+ libags-gui2 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-2.0.

## gsequencer 2.2.33

=== debian/changelog ===
gsequencer (2.2.33-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * marked Multi-Arch same in debian/control
  * updated libags2.symbols because new functions available
  * updated libags-audio2.symbols because new functions available
  * increased Standards-Version

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Joël Krähemann ]
  * updated libags2.symbols because new interface functions available
  * New upstream version 2.2.33.  Closes: #933875

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 03 Aug 2019 15:07:51 +0200

## gsequencer 2.2.37

=== debian/changelog ===
gsequencer (2.2.37-1) unstable; urgency=medium

  * New upstream version 2.2.37

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 11 Aug 2019 23:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  pkg-config,
  gettext,
  libcunit1-dev,
@@ -32,7 +32,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
@@ -73,6 +73,7 @@
 Package: libags2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -86,6 +87,7 @@
 Package: libags-audio2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -98,6 +100,7 @@
 Package: libags-gui2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -114,6 +117,7 @@
 Package: libags-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  libags2 (= ${binary:Version}),
@@ -131,6 +135,7 @@
 Package: libags-audio-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  libags-dev,
@@ -147,6 +152,7 @@
 Package: libags-gui-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  libags-dev,

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  archconfflags += --enable-oss
else
  archconfflags += --disable-oss
endif

archconfflags += --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html

# provide some system dependent configuration as a C macro
CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"
CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/ags_supermoon-800x450.png\"
CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(archconfflags)

override_dh_auto_build:
	dh_auto_build

override_dh_auto_test:
	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test

override_dh_auto_install:
	dh_auto_install --no-parallel
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
	find $$(pwd)/debian/tmp/usr/share -type f \
		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
		-delete
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-doc/api/libags
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-audio-doc/api/libags-audio
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-gui-doc/api/libags-gui
	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgsequencer

override_dh_clean:
	find docs/ -type f -name "*.stamp" -delete
	find docs/ -type f \( \
		   -name "*-decl-list.txt" \
		-o -name "*-decl.txt" \
		-o -name "*-undeclared.txt" \
		-o -name "*-undocumented.txt" \
		-o -name "*-unused.txt" \
		\) -delete
	find docs/ -type f \( \
		   -name "*.args" \
		-o -name "*.hierarchy" \
		-o -name "*.prerequisites" \
		-o -name "*.signals" \
		\) -delete
	find docs/ -type d -name ".libs" -exec rm -rf {} +
	find docs/ -type d -name "tmpl" -exec rm -rf {} +
	dh_clean

# for integration tests (see tests/ags-integration-unit-test)
pre-integration-test:
	dh_autoreconf
	dh_auto_configure -- --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-run-functional-tests --enable-run-system-tests $(archconfflags)

## gsequencer 2.3.15

=== debian/changelog ===
gsequencer (2.3.15-1) unstable; urgency=medium

  * New upstream version 2.3.15

  [ Joël Krähemann ]
  * Update debian/libags(-audio|)2.symbols

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Oct 2019 10:28:49 +0200

gsequencer (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3

  [ Joël Krähemann ]
  * Update libags(-audio2|).symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2019 10:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git

## gsequencer 3.0.0~alpha3

=== debian/changelog ===
gsequencer (3.0.0~alpha3-1ubuntu1) focal; urgency=medium

  * Set --disable-rt as an attempt to fix autopkgtests.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 09 Jan 2020 17:15:05 +0100

gsequencer (3.0.0~alpha3-1) experimental; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.0.0~alpha3
    + Fix a system stall with an RT kernel.  Closes: #944589
  * Update packaging for the new version with a bumped SONAME
  * Update the symbols files
  * Updated README.source to use new upstream version

  [ Mattia Rizzolo ]
  * Update the debian/watch file

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 02 Jan 2020 10:38:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -9,8 +10,9 @@
  pkg-config,
  gettext,
  libcunit1-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libcairo2-dev,
+ libsoup2.4-dev,
  xvfb,
  xauth,
  libx11-dev,
@@ -70,7 +72,7 @@
  This package contains the user manual that explains the GUI in html format of
  Advanced Gtk+ Sequencer.
 
-Package: libags2
+Package: libags3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -84,29 +86,29 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio2
+Package: libags-audio3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags2 (= ${binary:Version}),
+ libags3 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer audio processing library
  libags_audio is a tree based audio processing library built upon GObject and
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui2
+Package: libags-gui3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags2 (= ${binary:Version}),
+ libags3 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
- libags_gui is a widget library built upon Gtk+-2.0.
+ libags_gui is a widget library built upon Gtk+-3.0.
  It contains widgets like
   - LED
   - dial
@@ -120,7 +122,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libags2 (= ${binary:Version}),
+ libags3 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -139,7 +141,7 @@
 Depends:
  ${misc:Depends},
  libags-dev,
- libags-audio2 (= ${binary:Version}),
+ libags-audio3 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -156,10 +158,10 @@
 Depends:
  ${misc:Depends},
  libags-dev,
- libags-gui2 (= ${binary:Version}),
+ libags-gui3 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
- libags_gui is a widget library built upon Gtk+-2.0.
+ libags_gui is a widget library built upon Gtk+-3.0.
  .
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
@@ -204,7 +206,7 @@
  ${misc:Depends},
 Recommends: libags-gui-dev
 Description: Advanced Gtk+ Sequencer widget library (API documentation)
- libags_gui is a widget library built upon Gtk+-2.0.
+ libags_gui is a widget library built upon Gtk+-3.0.
  .
  This package contains the API reference in html format of
  Advanced Gtk+ Sequencer UI widget library.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
   archconfflags += --disable-oss
 endif
 
-archconfflags += --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
+archconfflags += --disable-rt --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
 
 # provide some system dependent configuration as a C macro
 CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"

## gsequencer 3.0.0~beta6

=== debian/changelog ===
gsequencer (3.0.0~beta6-0ubuntu1) focal; urgency=medium

  [ Joël Krähemann ]
  * added webkitgtk dependency because help browser available
  * removed unwanted symbols from debian/libags3.symbols
  * removed unwanted symbols from debian/libags-audio3.symbols
  * updated libags-audio3.symbols because new symbols available
  * added GObject-Introspection dependency to debian/control
  * updated debian/copyright to current year 2020 and removed
    mention of ags/lib/ags_parameter.[ch] because it was removed
  * set --enable-introspection configure flag
  * added introspection packages
  * introspection install files
  * added gir to dev package
  * added gir to libags-audio-dev package
  * added gir to libags-gui-dev package
  * added missing gir depends in debian/control
  * renamed gir packages to meet lintian needs
  * renamed gir agsaudio to meet lintian needs
  * renamed gir agsgui to meet lintian needs
  * disabled realtime priorities in debian/rules
  * added test dependency libxtst-dev
  * updated debian/libags3.symbols because upstream contained typo
  * New upstream version 3.0.0~beta6

  [ Mattia Rizzolo ]
  * Upload to ubuntu before debian without introspection.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 10 Jan 2020 23:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -10,9 +9,11 @@
  pkg-config,
  gettext,
  libcunit1-dev,
+ libwebkit2gtk-4.0-dev,
  libgtk-3-dev,
  libcairo2-dev,
  libsoup2.4-dev,
+ libgirepository1.0-dev (>= 1.39.0),
  xvfb,
  xauth,
  libx11-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
   archconfflags += --disable-oss
 endif
 
-archconfflags += --disable-rt --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
+archconfflags += --disable-rt --disable-introspection --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
 
 # provide some system dependent configuration as a C macro
 CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"

## gsequencer 3.0.0~beta7

=== debian/changelog ===
gsequencer (3.0.0~beta7-1) experimental; urgency=medium

  * New upstream version 3.0.0~beta7
  * Add webkitgtk dependency because help browser available
  * Add new GObject-Introspection packages
    + Make the -dev packages depend on the new -gir packages
  * Update symbols files
  * Updated debian/copyright to current year 2020 and remove
    mention of the removed files ags/lib/ags_parameter.[ch]
  * Disable realtime priorities in debian/rules, as it makes tests fail and
    should instead be configured at runtime
  * Add test dependency libxtst-dev

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 11 Jan 2020 07:52:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 11),
+ dh-sequence-gir,
  pkg-config,
  gettext,
  libcunit1-dev,
@@ -123,6 +124,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ gir1.2-ags-3.0 (= ${binary:Version}),
  libags3 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
@@ -141,6 +143,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ gir1.2-agsaudio-3.0 (= ${binary:Version}),
  libags-dev,
  libags-audio3 (= ${binary:Version}),
 Suggests: libags-audio-doc
@@ -158,6 +161,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ gir1.2-agsgui-3.0 (= ${binary:Version}),
  libags-dev,
  libags-gui3 (= ${binary:Version}),
 Suggests: libags-gui-doc
@@ -167,6 +171,51 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
+Package: gir1.2-ags-3.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Advanced Gtk+ Sequencer core library -- gir bindings
+ libags is a general purpose application context library built upon GObject
+ providing persistence and configuration. It allows you to organize threads in
+ a tree hierarchy that is synced 1000 times per second per default. Since it is
+ written in a object orientated manner you might want to override its default
+ behaviour.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
+Package: gir1.2-agsaudio-3.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Advanced Gtk+ Sequencer audio processing engine library -- gir bindings
+ libags_audio is a tree based audio processing library built upon GObject and
+ libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
+ plugin support. Audio data is processed multi-threaded.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
+Package: gir1.2-agsgui-3.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Advanced Gtk+ Sequencer widget library (Development files)
+ libags_gui is a widget library built upon Gtk+-3.0.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
 Package: libags-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
   archconfflags += --disable-oss
 endif
 
-archconfflags += --disable-rt --disable-introspection --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
+archconfflags += --disable-rt --enable-introspection --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
 
 # provide some system dependent configuration as a C macro
 CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"

## gsequencer 3.0.3

=== debian/changelog ===
gsequencer (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Fix gir1.2-agsgui-3.0's description in debian/control
  * Remove unused GPL-2+ license paragraph from debian/copyright
  * Update env variables related to resources in debian/rules
  * edited debian/rules to handle new Makefile.am
  * Upload to unstable

 -- Joël Krähemann <jkraehemann@gmail.com>  Wed, 15 Jan 2020 17:50:07 +0100

=== debian/control ===
--- 
+++ 
@@ -210,7 +210,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Advanced Gtk+ Sequencer widget library (Development files)
+Description: Advanced Gtk+ Sequencer widget library -- gir bindings
  libags_gui is a widget library built upon Gtk+-3.0.
  .
  This package can be used by other packages using the GIRepository format to

=== debian/rules ===
--- 
+++ 
@@ -20,29 +20,38 @@
   archconfflags += --disable-oss
 endif
 
-archconfflags += --disable-rt --enable-introspection --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
+archconfflags += --disable-public-libgsequencer --disable-rt --enable-introspection --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
 
 # provide some system dependent configuration as a C macro
-CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"
-CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/ags_supermoon-800x450.png\"
+CPPFLAGS += -DAGS_CSS_FILENAME=\"/usr/share/gsequencer/styles/ags.css\"
+CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/gsequencer-800x450.png\"
 CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
 CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"
+CPPFLAGS += -DAGS_ONLINE_HELP_START_FILENAME=\"file:///usr/share/doc/gsequencer-doc/html/index.html\"
+
+HTMLHELP_XSL = /usr/share/xml/docbook/stylesheet/docbook-xsl/htmlhelp/htmlhelp.xsl
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(archconfflags)
+	HTMLHELP_XSL=$(HTMLHELP_XSL) dh_auto_configure -- $(archconfflags)
 
 override_dh_auto_build:
 	dh_auto_build
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp html
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp fix-local-html
 
 override_dh_auto_test:
 	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install --no-parallel
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-compress-changelog
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html-mkdir
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html-mkdir-links
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
+	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html-links
 	find $$(pwd)/debian/tmp/usr/share -type f \
 		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
 		-delete

## gsequencer 3.0.13

=== debian/changelog ===
gsequencer (3.0.13-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:29:44 +0000

gsequencer (3.0.13-1) unstable; urgency=medium

  * New upstream version 3.0.13
  * Modify debian/rules to handle new Makefile.am
    + Remove the --disable-rt configure flag, disabled by AgsPriority

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 03 Feb 2020 19:00:36 +0100

## gsequencer 3.1.3

=== debian/changelog ===
gsequencer (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Update symbols files

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 16 Feb 2020 17:37:52 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
   archconfflags += --disable-oss
 endif
 
-archconfflags += --disable-public-libgsequencer --disable-rt --enable-introspection --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html
+archconfflags += --disable-public-libgsequencer --enable-introspection --enable-libinstpatch --enable-upstream-gtk-doc --enable-gtk-doc --enable-gtk-doc-html
 
 # provide some system dependent configuration as a C macro
 CPPFLAGS += -DAGS_CSS_FILENAME=\"/usr/share/gsequencer/styles/ags.css\"
@@ -29,13 +29,11 @@
 CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"
 CPPFLAGS += -DAGS_ONLINE_HELP_START_FILENAME=\"file:///usr/share/doc/gsequencer-doc/html/index.html\"
 
-HTMLHELP_XSL = /usr/share/xml/docbook/stylesheet/docbook-xsl/htmlhelp/htmlhelp.xsl
-
 %:
 	dh $@
 
 override_dh_auto_configure:
-	HTMLHELP_XSL=$(HTMLHELP_XSL) dh_auto_configure -- $(archconfflags)
+	dh_auto_configure -- $(archconfflags)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -48,10 +46,7 @@
 override_dh_auto_install:
 	dh_auto_install --no-parallel
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-compress-changelog
-	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html-mkdir
-	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html-mkdir-links
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
-	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html-links
 	find $$(pwd)/debian/tmp/usr/share -type f \
 		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
 		-delete

=== debian/tests/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Depends: @builddeps@,
 	 dpkg-dev,
 	 fakeroot,
+	 libxtst-dev,
 	 cmt,
 	 swh-lv2,
 	 fluid-soundfont-gm,

## gsequencer 3.2.13

=== debian/changelog ===
gsequencer (3.2.13-1) unstable; urgency=medium

  * New upstream version 3.2.13
  * Update symbols files for the new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 13 Apr 2020 11:30:38 +0200

## gsequencer 3.3.0

=== debian/changelog ===
gsequencer (3.3.0-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.3.0 (Closes: #960257)
  * Update symbols files

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 May 2020 16:12:49 +0200

## gsequencer 3.3.6

=== debian/changelog ===
gsequencer (3.3.6-1) unstable; urgency=medium

  * set debhelper-compat to 13
  * discarded patch-ags_audio_loop-c.diff because it is not used
  * added not installed files
  * removed make target to install changelog.gz from debian/rules because yet
    provided
  * added changelog to debian/not-installed because upstream provides its own
  * New upstream version 3.3.6

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 22 May 2020 12:07:06 +0200

## gsequencer 3.3.7

=== debian/changelog ===
gsequencer (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 24 May 2020 22:12:23 +0200

## gsequencer 3.3.12

=== debian/changelog ===
gsequencer (3.3.12-1) unstable; urgency=medium

  * New upstream version 3.3.12

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 07 Jun 2020 00:36:24 +0200

gsequencer (3.3.9-1) unstable; urgency=medium

  * New upstream version 3.3.9

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 30 May 2020 18:27:43 +0200

## gsequencer 3.3.16

=== debian/changelog ===
gsequencer (3.3.16-1) unstable; urgency=medium

  * New upstream version 3.3.16

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 11 Jun 2020 18:19:50 +0200

## gsequencer 3.5.2

=== debian/changelog ===
gsequencer (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 16 Jul 2020 08:10:15 +0200

## gsequencer 3.5.9

=== debian/changelog ===
gsequencer (3.5.9-1) unstable; urgency=medium

  * New upstream version 3.5.9

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 13 Sep 2020 00:54:43 +0200

gsequencer (3.5.8-1) unstable; urgency=medium

  * New upstream version 3.5.8

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 31 Jul 2020 10:40:25 +0200

gsequencer (3.5.6-1) unstable; urgency=medium

  * New upstream version 3.5.6

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 20 Jul 2020 19:01:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-sequence-gir,
  pkg-config,
  gettext,

## gsequencer 3.5.16

=== debian/changelog ===
gsequencer (3.5.16-1) unstable; urgency=medium

  * New upstream version 3.5.16
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 08 Oct 2020 03:53:51 +0200

## gsequencer 3.6.13

=== debian/changelog ===
gsequencer (3.6.13-1) unstable; urgency=medium

  * New upstream version 3.6.13
  * updated signing-key.asc
  * updated dependencies because gstreamer support added
  * updated libags3.symbols because new functions available
  * updated libags-audio3.symbols because new functions available
  * updated libags-gui3.symbols because new functions available
  * additional dependencies in debian/tests/control because of new functional
    integration tests
  * added GNU parallel CI test dependency
  * running parallel functional tests
  * running parallel unint tests

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 08 Nov 2020 17:27:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,11 @@
  gettext,
  libcunit1-dev,
  libwebkit2gtk-4.0-dev,
+ gstreamer1.0-plugins-base,
+ gstreamer1.0-plugins-good,
+ gstreamer1.0-plugins-bad,
+ libgstreamer1.0-dev,
+ libgstreamer-plugins-base1.0-dev,
  libgtk-3-dev,
  libcairo2-dev,
  libsoup2.4-dev,
@@ -47,6 +52,9 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ gstreamer1.0-plugins-base,
+ gstreamer1.0-plugins-good,
+ gstreamer1.0-plugins-bad,
 Suggests:
  hydrogen,
  hydrogen-drumkits,
@@ -96,6 +104,9 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libags3 (= ${binary:Version}),
+ gstreamer1.0-plugins-base,
+ gstreamer1.0-plugins-good,
+ gstreamer1.0-plugins-bad,
 Description: Advanced Gtk+ Sequencer audio processing library
  libags_audio is a tree based audio processing library built upon GObject and
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2

## gsequencer 3.6.21

=== meson_options.txt ===
# Plugins
# TODO: move all options here
# The options can be reconfigured inside build dir using
# ex. meson configure -Dalsa=false
option('alsa', type: 'boolean', value: false,
       description: 'Enable Lnux alsa build')
option('w32api', type: 'boolean', value: false,
       description: 'Enable Windows build')
option('osxapi', type: 'boolean', value: false,
       description: 'Enable OSX build')
option('oss', type: 'boolean', value: false,
       description: 'Enable OSS')
option('core_audio', type: 'boolean', value: false,
       description: 'Enable core audio (OSX)')
option('jack', type: 'boolean', value: false,
       description: 'Enable jack')
option('pulse', type: 'boolean', value: false,
       description: 'Enable pulse')
option('wasapi', type: 'boolean', value: false,
       description: 'Enable wasapi (Windows)')
option('quartz', type: 'boolean', value: false,
       description: 'Enable quartz')
option('gstreamer', type: 'boolean', value: false,
       description: 'Enable gstreamer')
option('webkit', type: 'boolean', value: false,
       description: 'Enable webkit')
option('poppler', type: 'boolean', value: false,
       description: 'Enable poppler')

## gsequencer 3.7.6

=== debian/changelog ===
gsequencer (3.7.6-1) unstable; urgency=medium

  * New upstream version 3.7.6
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 08 Dec 2020 15:52:29 +0100

gsequencer (3.6.21-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 3.6.21
  * updated debian/libags-gui3.symbols because new functions available
  * updated libags3.symbols because new functions available

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 24 Nov 2020 11:51:57 +0100

## gsequencer 3.7.22

=== debian/changelog ===
gsequencer (3.7.22-1) unstable; urgency=medium

  * New upstream version 3.7.22
  * fixed libags-dev.install header location
  * updated libags3.symbols because new functions available
  * updated libags-audio3.symbols because new functions available

 -- Joël Krähemann <jkraehemann@gmail.com>  Sun, 03 Jan 2021 12:58:49 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
